Subject: [PATCH v1 3/3] ARM64 LPC: update binding doc

From: [email-masked] (Benjamin Herrenschmidt)
Date: Wed, 13 Jan 2016 16:53:33 +1100

On Tue, 2016-01-12 at 23:52 +0100, Arnd Bergmann wrote:
> On Tuesday 12 January 2016 15:13:35 liviu.dudau at arm.com?wrote:
> > > int of_address_to_resource(struct device_node *dev, int index,
> > >????????????????????????? struct resource *r)
> > > {
> > >?????? ...
> > >?????? /* flags can be get here, without ranges property reqired.
> > >??????? * if the reg = <0x0 0xe4 4>, I can get flag of
> IORESOURCE_MEM,
> > >??????? * if the reg = <0x1 0xe4 4>, I can get flag of
> IORESOURCE_IO,
> >?
> > That is strange, the parent node has #address-cells = <2> so the
> first two numbers should be part
> > of the address and not influence the flags. Can you add some
> debugging in of_get_address() and
> > try to figure out what bus is used in? *flags = bus-
> >get_flags(prop) ?
> >?
> >?
> 
> This is the standard ISA binding. The first cell is the address space
> (IO or MEM), the second cell is the address within that space. This
> is similar to how PCI works.

Picking up that mid-way, I have LPC busses on power and am using a
similar binding. I'll try to grab some examples and review the
document tomorrow (only just noticed it while unpiling emails post-
vacation).

Cheers,
Ben.